aboutsummaryrefslogtreecommitdiffstats
path: root/testing/gmime/APKBUILD
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2011-01-25 19:30:02 -0600
committerWilliam Pitcock <nenolod@dereferenced.org>2011-01-25 19:30:02 -0600
commitd55b48824c35501e6e07424249cd1e164acc4139 (patch)
tree7d7cec28eee7d9f368cc2fe2905ee8de2764bb7d /testing/gmime/APKBUILD
parentf050015b3f5d6d8a2064bbeecf1ec32798a4e409 (diff)
downloadaports-d55b48824c35501e6e07424249cd1e164acc4139.tar.gz
aports-d55b48824c35501e6e07424249cd1e164acc4139.tar.bz2
aports-d55b48824c35501e6e07424249cd1e164acc4139.tar.xz
testing/gmime: new aport
Diffstat (limited to 'testing/gmime/APKBUILD')
-rw-r--r--testing/gmime/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/gmime/APKBUILD b/testing/gmime/APKBUILD
new file mode 100644
index 0000000000..1426346b78
--- /dev/null
+++ b/testing/gmime/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
+pkgname=gmime
+pkgver=2.5.4
+pkgrel=0
+pkgdesc="glib mime library"
+url="http://spruce.sourceforge.net/gmime/"
+arch="all"
+license="LGPL"
+depends=
+depends_dev="glib-dev"
+makedepends="$depends_dev intltool"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="ftp://ftp.gnome.org/pub/gnome/sources/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --disable-scrollkeeper || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="17093e11beb63cfe7a28d6f0a78f6527 gmime-2.5.4.tar.bz2"